GCLOUD_SOURCE_REPOS_CLONE(1)

NAME

gcloud source repos clone - clone project git repository in the current directory

SYNOPSIS

gcloud source repos clone REPOSITORY_NAME [DIRECTORY_NAME] [--dry-run] [GLOBAL-FLAG ...]

DESCRIPTION
This command clones git repository for the currently active Google Cloud Platform project into the specified folder in the current directory.

POSITIONAL ARGUMENTS
REPOSITORY_NAME
    Name of the repository. Note: Google Cloud Platform projects generally have (if created) a repository named "default"
[DIRECTORY_NAME]
    Directory name for the cloned repo. Defaults to the repository name.

FLAGS
--dry-run
    If provided, prints the command that would be run to standard out instead of executing it.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To use the default Google Cloud repository for development, use the following commands. We recommend that you use your project name as TARGET_DIR to make it apparent which directory is used for which project. We also recommend to clone the repository named 'default' since it is automatically created for each project, and its contents can be browsed and edited in the Developers Console.
    $ gcloud init $ gcloud source repos clone default TARGET_DIR $ cd TARGET_DIR $ git push origin master